# ExponentialEulerStateUpdater class

(Shortest import: `from brian2.stateupdaters.exponential_euler import ExponentialEulerStateUpdater)`

class brian2.stateupdaters.exponential_euler.ExponentialEulerStateUpdater

  Bases: `StateUpdateMethod`

  A state updater for conditionally linear equations, i.e. equations where each variable only depends linearly on itself (but possibly non-linearly on other variables). Typical Hodgkin-Huxley equations fall into this category, it is therefore the default integration method used in the GENESIS simulator, for example.

  Methods

  `__call__`(equations[, variables, method_options]) | Generate abstract code from equations.

  Details

  __call__(equations, variables=None, method_options=None)

    Generate abstract code from equations. The method also gets the the variables because some state updaters have to check whether variable names reflect other state variables (which can change from timestep to timestep) or are external values (which stay constant during a run) For convenience, this arguments are optional – this allows to directly see what code a state updater generates for a set of equations by simply writing `euler(eqs)`, for example.

    Parameters:

      equations : `Equations`

      > The model equations.

      variables : dict, optional

      > The `Variable` objects for the model variables.

      method_options : dict, optional

      > Additional options specific to the state updater.

      Returns :

      ——- :

      code : str

      > The abstract code performing a state update step.